
Foreman - Refactor #6560

Extract puppet specific fact parsing logic to isolated class

07/10/2014 04:30 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Facts   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1578

  

Description

Currently we hardcode puppet facts format for parsing so when we want to create interfaces based on facts, we can support only

puppet hosts. It would be nice to extract puppet parser into separate class and allow registering other parsers from plugins (similar to

fact importer classes)

Related issues:

Blocks Foreman - Feature #6444: Add ancestry NICs and allow interfaces with s... Closed 06/30/2014

Associated revisions

Revision 1d750dd7 - 08/07/2014 11:29 AM - Marek Hulán

Fixes #6560 - Extract puppet parsing logic

Revision cff5a66e - 08/11/2014 05:59 AM - Marek Hulán

Refs #6560 - parsing method interface change

History

#1 - 07/10/2014 04:44 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

PR https://github.com/theforeman/foreman/pull/1578

#2 - 07/10/2014 04:44 AM - Marek Hulán

- Blocks Feature #6444: Add ancestry NICs and allow interfaces with same MAC added

#3 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#4 - 08/07/2014 05:10 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1578 added

- Pull request deleted ()

#5 - 08/07/2014 11:31 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#6 - 08/07/2014 12:02 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1d750dd7e499c4b6c204aafc146176ae0e46344c.
